#ifndef _biblioteka_h_
#define _biblioteka_h_
#include "greske.h"
#include "promniz.h"
#include "polica.h"
class Biblioteka {
	char* naz;
	int brPol;
	Niz<Polica*, 1> p;
	Biblioteka(const Biblioteka&) {}
	Biblioteka& operator = (const Biblioteka&) {}
public:
	Biblioteka(const char* naziv, const int& brPolica,
			   const double& duzina);
	~Biblioteka() { delete[] naz; naz = 0; }
	int getBrPol() const { return brPol; }
	Polica& operator [] (const int& i) { return *p[i]; }
	const Polica& operator [] (const int& i) const { return *p[i]; }
	Biblioteka& nabavi(int brPrimeraka, Delo& d);

	PromNiz<Delo *, 1> delaAutora(const char* autor);
	Delo* operator () (const int& i);
	Biblioteka& operator += (Delo* d);
	friend ostream& operator << (ostream& it, Biblioteka& b);
};
#endif